summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gnome-extra/conduit/ChangeLog14
-rw-r--r--gnome-extra/conduit/Manifest9
-rw-r--r--gnome-extra/conduit/conduit-0.3.17.ebuild93
-rw-r--r--gnome-extra/conduit/files/conduit-0.3.17-escaping-caracters.patch31
-rw-r--r--gnome-extra/conduit/files/conduit-0.3.17-fix-firefox-libraries.patch11
-rw-r--r--gnome-extra/conduit/files/conduit-0.3.17-non-ASCII-folder-canvas.patch12
-rw-r--r--gnome-extra/conduit/files/conduit-0.3.17-programming-error-unicode.patch14
-rw-r--r--gnome-extra/conduit/files/conduit-0.3.17-rhythmbox-new-path.patch23
-rw-r--r--gnome-extra/conduit/metadata.xml11
9 files changed, 218 insertions, 0 deletions
diff --git a/gnome-extra/conduit/ChangeLog b/gnome-extra/conduit/ChangeLog
new file mode 100644
index 0000000..305f326
--- /dev/null
+++ b/gnome-extra/conduit/ChangeLog
@@ -0,0 +1,14 @@
+# ChangeLog for gnome-extra/conduit
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*conduit-0.3.17 (04 Apr 2011)
+
+ 04 Apr 2011; Wojciech Dzier┼╝anowski <wojciech.dzierzanowski@gmail.com>
+ +conduit-0.3.17.ebuild, +files/conduit-0.3.17-escaping-caracters.patch,
+ +files/conduit-0.3.17-fix-firefox-libraries.patch,
+ +files/conduit-0.3.17-non-ASCII-folder-canvas.patch,
+ +files/conduit-0.3.17-programming-error-unicode.patch,
+ +files/conduit-0.3.17-rhythmbox-new-path.patch, +metadata.xml:
+ Initial version of conduit-0.3.17.ebuild by Florian Steinel
+
diff --git a/gnome-extra/conduit/Manifest b/gnome-extra/conduit/Manifest
new file mode 100644
index 0000000..68cd012
--- /dev/null
+++ b/gnome-extra/conduit/Manifest
@@ -0,0 +1,9 @@
+AUX conduit-0.3.17-escaping-caracters.patch 1308 RMD160 39d48747bfdbbd4d94027ae15e629537a4bf8586 SHA1 b24780d1453df28a66a502d2e69d5f9431acbfa3 SHA256 de786c035d8adf9865cb4ba6e0545320154049681aab05375ac2bb74e6e01d66
+AUX conduit-0.3.17-fix-firefox-libraries.patch 487 RMD160 4fff08ef5af4afdae3a5f70ff1a4b1c45c315d5f SHA1 f5d663299f0cd0f970e8a901c5929bae1018ce12 SHA256 1dc4b12c84e83d8d6adc48d4c2f4ab7f62704d54d083babb3bd7e2d1b2213444
+AUX conduit-0.3.17-non-ASCII-folder-canvas.patch 614 RMD160 9efd0154bcd43309de25a96e175a10a39d067fe8 SHA1 33520fcd8353f8d1287704df6f1923fd85e6538a SHA256 6d568123a12991c3473b85ba4f5cec3c757c4cae4c1fdf90ea74e26925c09481
+AUX conduit-0.3.17-programming-error-unicode.patch 790 RMD160 c16f2b461d976ca61e502990d9002d727c1b6ae8 SHA1 57f811f42e1359618266da05960bc39434e43fff SHA256 2d2c5d82c9b293f946a0b583bf297791b62e9e78f8c5713126de4cdf29f7330e
+AUX conduit-0.3.17-rhythmbox-new-path.patch 1130 RMD160 48064e3aaefde02e0a3f6f172c65bfdee958a20d SHA1 a30a2138a5b2d72b5200910f249d38c3c1dc7d3e SHA256 2a5ec1b04ee7ba7dbcf6fba80d840b7a9a00518ac262627609176903ae116416
+DIST conduit-0.3.17.tar.bz2 888078 RMD160 1781b449fc686965b6e13015f33c3a2ddba9fb90 SHA1 dd959dfb4be436febeff517a1f1675597718ecc5 SHA256 dfbc00490b0170f22eb6e73b893da40c48556d8982b8400484e19fa617f5f934
+EBUILD conduit-0.3.17.ebuild 2523 RMD160 a3b9cbfba7eacb23c5830922d2c23a2fd7f13822 SHA1 4d88038d84df7fd9135586e552136fc6f8dfbeb0 SHA256 616b1572bfe50ad929cebed109d7ca2f44e4b0b409efd58f5059c43d225071d5
+MISC ChangeLog 592 RMD160 95c3fe7d9b5ae9f172675a2d8a04dd8730061b60 SHA1 42ef05bbab5926386fd2dcf008de24553a933b29 SHA256 2fb3b642f81ad940731f5e542a5d87f589cfa7400cce6ca34035ecdddd502e73
+MISC metadata.xml 254 RMD160 9ea2a703e513c79ffdac515201009d58012aa170 SHA1 09015d69fdeb29cc2d65848ecca6c57d5af32e40 SHA256 2f05749d9eb29fba19e7cc96ba3219b8b0c239f804dbdd34b3da108a064d8495
diff --git a/gnome-extra/conduit/conduit-0.3.17.ebuild b/gnome-extra/conduit/conduit-0.3.17.ebuild
new file mode 100644
index 0000000..f69084d
--- /dev/null
+++ b/gnome-extra/conduit/conduit-0.3.17.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+PYTHON_DEPEND="2"
+
+inherit eutils gnome.org python
+
+DESCRIPTION="Synchronization for GNOME"
+HOMEPAGE="http://live.gnome.org/Conduit"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+#flickr nautilus
+IUSE="eog evolution ipod rss totem"
+
+#DEPENDS extracted from http://packages.ubuntu.com/natty/conduit
+#http://stuvel.eu/flickrapi
+# flickr? ( dev-python/flickr )
+#Makefile bug: plugins are not installed even if enabled
+# nautilus? ( >=dev-python/nautilus-python-0.5.3 )
+DEPEND=">=dev-python/pygoocanvas-0.9.0
+ >=dev-python/pywebkitgtk-1.1.8
+ >=dev-python/vobject-0.4.8
+ >=dev-python/pyxml-0.8.4
+ >=dev-python/pygtk-2.10.3
+ dev-python/gdata
+ evolution? ( dev-python/evolution-python )
+ ipod? ( >=media-libs/libgpod-0.8.0[python] )
+ rss? ( dev-python/feedparser )
+ || ( >=dev-lang/python-2.6 dev-python/simplejson )
+ || ( ( >=dev-lang/python-2.4 >=dev-python/pysqlite-2.3.1 ) >=dev-lang/python-2.5[sqlite] )"
+RDEPEND=">=dev-python/pygoocanvas-0.9.0"
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-non-ASCII-folder-canvas.patch"
+ epatch "${FILESDIR}/${P}-programming-error-unicode.patch"
+ epatch "${FILESDIR}/${P}-escaping-caracters.patch"
+ epatch "${FILESDIR}/${P}-rhythmbox-new-path.patch"
+ epatch "${FILESDIR}/${P}-fix-firefox-libraries.patch"
+
+ # disable pyc compiling
+ mv py-compile py-compile.orig
+ ln -s $(type -P true) py-compile
+}
+
+src_configure() {
+ local myconf
+
+ myconf=" --disable-scrollkeeper "
+
+ #Makefile bug: plugins are not installed even if enabled
+# if use eog; then
+# myconf="${myconf} --with-eog-plugin-dir=$(pkg-config --variable=pluginsdir eog) "
+# fi
+#
+# if use totem; then
+# myconf="${myconf} --with-totem-plugin-dir=/usr/$(get_libdir)/totem/plugins"
+# fi
+#
+# if use nautilus; then
+# myconf="${myconf} --with-nautilus-extension-dir=$(pkg-config --variable=pythondir nautilus-python) "
+# fi
+# $(use_enable nautilus nautilus-extension) \
+# $(use_enable eog eog-plugin) \
+# $(use_enable totem totem-plugin) \
+
+ econf \
+ ${myconf} \
+ || die "configure failed"
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "Error installing ${PN}"
+}
+
+pkg_postinst() {
+ python_mod_optimize $(python_get_sitedir)/conduit
+ python_mod_optimize /usr/$(get_libdir)/conduit/modules/
+}
+
+pkg_postrm() {
+ python_mod_cleanup $(python_get_sitedir)/conduit
+ python_mod_cleanup /usr/$(get_libdir)/conduit/modules/
+}
diff --git a/gnome-extra/conduit/files/conduit-0.3.17-escaping-caracters.patch b/gnome-extra/conduit/files/conduit-0.3.17-escaping-caracters.patch
new file mode 100644
index 0000000..c62c1c4
--- /dev/null
+++ b/gnome-extra/conduit/files/conduit-0.3.17-escaping-caracters.patch
@@ -0,0 +1,31 @@
+diff -urNad conduit~/conduit/platform/FileGio.py conduit/conduit/platform/FileGio.py
+--- conduit~/conduit/platform/FileGio.py 2009-08-30 13:33:34.000000000 +0200
++++ conduit/conduit/platform/FileGio.py 2009-08-30 14:06:49.000000000 +0200
+@@ -1,4 +1,5 @@
+ import gio
++import urllib
+
+ import conduit.platform
+
+@@ -200,6 +201,8 @@
+ #if not relative, return abs path
+ if not res:
+ res = toURI
++ else:
++ res = urllib.quote(res)
+ return res
+
+ @staticmethod
+@@ -353,10 +356,10 @@
+ if filetype == gio.FILE_TYPE_DIRECTORY:
+ #Include hidden directories
+ if not hidden or self.includeHidden:
+- self.dirs.append(dir+"/"+filename)
++ self.dirs.append(dir+"/"+urllib.quote(filename))
+ t += 1
+ elif filetype == gio.FILE_TYPE_REGULAR or (filetype == gio.FILE_TYPE_SYMBOLIC_LINK and self.followSymlinks):
+- uri = dir+"/"+filename
++ uri = dir+"/"+urllib.quote(filename)
+ #Include hidden files
+ if not hidden or self.includeHidden:
+ self.URIs.append(uri)
diff --git a/gnome-extra/conduit/files/conduit-0.3.17-fix-firefox-libraries.patch b/gnome-extra/conduit/files/conduit-0.3.17-fix-firefox-libraries.patch
new file mode 100644
index 0000000..6b5ee19
--- /dev/null
+++ b/gnome-extra/conduit/files/conduit-0.3.17-fix-firefox-libraries.patch
@@ -0,0 +1,11 @@
+--- conduit-0.3.13/conduit/conduit.orig 2008-08-05 23:12:49.000000000 +0200
++++ conduit-0.3.13/conduit/conduit 2008-08-05 23:18:03.000000000 +0200
+@@ -8,7 +8,7 @@
+ # Run mozilla takes care of settin up the appropriate environment variables
+ # to run a program using mozilla libs
+
+-for d in `ls -d /usr/lib*/firefox* | sort -r`
++for d in `ls -d /usr/lib*/{mozilla-,}firefox* 2> /dev/null | sort -r`
+ do
+ if [ -x $d/run-mozilla.sh ]; then
+ echo INFO: FOUND FIREFOX LIBS AT $d
diff --git a/gnome-extra/conduit/files/conduit-0.3.17-non-ASCII-folder-canvas.patch b/gnome-extra/conduit/files/conduit-0.3.17-non-ASCII-folder-canvas.patch
new file mode 100644
index 0000000..15ad2e2
--- /dev/null
+++ b/gnome-extra/conduit/files/conduit-0.3.17-non-ASCII-folder-canvas.patch
@@ -0,0 +1,12 @@
+diff -urNad conduit-fix~/conduit/modules/FileModule/FileModule.py conduit-fix/conduit/modules/FileModule/FileModule.py
+--- conduit-fix~/conduit/modules/FileModule/FileModule.py 2009-02-24 22:56:27.000000000 +0100
++++ conduit-fix/conduit/modules/FileModule/FileModule.py 2009-02-24 23:03:47.000000000 +0100
+@@ -116,7 +116,7 @@
+ return self.folder
+
+ def get_name(self):
+- return Vfs.uri_get_filename(self.folder)
++ return Vfs.uri_unescape(Vfs.uri_get_filename(self.folder))
+
+ def _monitor_folder(self):
+ self._monitor.add(self.folder, self._monitor.MONITOR_DIRECTORY)
diff --git a/gnome-extra/conduit/files/conduit-0.3.17-programming-error-unicode.patch b/gnome-extra/conduit/files/conduit-0.3.17-programming-error-unicode.patch
new file mode 100644
index 0000000..bc2c382
--- /dev/null
+++ b/gnome-extra/conduit/files/conduit-0.3.17-programming-error-unicode.patch
@@ -0,0 +1,14 @@
+diff -urNad conduit~/conduit/MappingDB.py conduit/conduit/MappingDB.py
+--- conduit~/conduit/MappingDB.py 2009-08-30 13:33:34.000000000 +0200
++++ conduit/conduit/MappingDB.py 2009-08-30 13:40:49.000000000 +0200
+@@ -38,8 +38,8 @@
+ self.sinkRid = rid
+
+ def values(self):
+- return (self.sourceUID,self.sourceRid.get_UID(),self.sourceRid.get_mtime(),self.sourceRid.get_hash(),
+- self.sinkUID,self.sinkRid.get_UID(),self.sinkRid.get_mtime(),self.sinkRid.get_hash())
++ return (unicode(self.sourceUID),unicode(self.sourceRid.get_UID()),self.sourceRid.get_mtime(),self.sourceRid.get_hash(),
++ unicode(self.sinkUID),unicode(self.sinkRid.get_UID()),self.sinkRid.get_mtime(),self.sinkRid.get_hash())
+
+ class MappingDB:
+ """
diff --git a/gnome-extra/conduit/files/conduit-0.3.17-rhythmbox-new-path.patch b/gnome-extra/conduit/files/conduit-0.3.17-rhythmbox-new-path.patch
new file mode 100644
index 0000000..d5c35ec
--- /dev/null
+++ b/gnome-extra/conduit/files/conduit-0.3.17-rhythmbox-new-path.patch
@@ -0,0 +1,23 @@
+diff -urNad conduit-0.3.17~/conduit/modules/RhythmboxModule/RhythmboxModule.py conduit-0.3.17/conduit/modules/RhythmboxModule/RhythmboxModule.py
+--- conduit-0.3.17~/conduit/modules/RhythmboxModule/RhythmboxModule.py 2010-01-07 17:10:30.000000000 +0100
++++ conduit-0.3.17/conduit/modules/RhythmboxModule/RhythmboxModule.py 2010-03-28 14:37:12.034777215 +0200
+@@ -50,8 +50,8 @@
+ _icon_ = "rhythmbox"
+ _configurable_ = True
+
+- PLAYLIST_PATH="~/.gnome2/rhythmbox/playlists.xml"
+- RHYTHMDB_PATH="~/.gnome2/rhythmbox/rhythmdb.xml"
++ PLAYLIST_PATH="~/.local/share/rhythmbox/playlists.xml"
++ RHYTHMDB_PATH="~/.local/share/rhythmbox/rhythmdb.xml"
+
+ def __init__(self, *args):
+ DataProvider.DataSource.__init__(self)
+@@ -150,7 +150,7 @@
+ '''Wrapper around the standard Audio datatype that implements
+ the rating, playcount, and cover location tags.
+ '''
+- COVER_ART_PATH="~/.gnome2/rhythmbox/covers/"
++ COVER_ART_PATH="~/.cache/rhythmbox/covers"
+ def __init__(self, URI, **kwargs):
+ Audio.Audio.__init__(self, URI, **kwargs)
+ self._songdata = kwargs['songdata'] or {}
diff --git a/gnome-extra/conduit/metadata.xml b/gnome-extra/conduit/metadata.xml
new file mode 100644
index 0000000..ee347f4
--- /dev/null
+++ b/gnome-extra/conduit/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email></email>
+ <name>Florian Steinel</name>
+ </maintainer>
+ <use>
+ </use>
+</pkgmetadata>